| FFmpegKit iOS / macOS / tvOS API 4.5

Data Fields
InputFile Struct Reference

`#include <fftools_ffmpeg.h>`

## Data Fields
AVFormatContext * | ctx
int | eof_reached
int | eagain
int | ist_index
int | loop
int64_t | duration
AVRational | time_base
int64_t | input_ts_offset
int64_t | ts_offset
int64_t | last_ts
int64_t | start_time
int | seek_timestamp
int64_t | recording_time
int | nb_streams
int | nb_streams_warn
int | rate_emu
float | readrate
int | accurate_seek
AVPacket * | pkt
AVFormatContext * | fmt_ctx
InputStream * | streams

## Detailed Description

Definition at line 425 of file fftools_ffmpeg.h.

## Field Documentation

## ◆ accurate_seek

int InputFile::accurate_seek

Definition at line 446 of file fftools_ffmpeg.h.

## ◆ ctx

AVFormatContext* InputFile::ctx

Definition at line 426 of file fftools_ffmpeg.h.

## ◆ duration

int64_t InputFile::duration

Definition at line 431 of file fftools_ffmpeg.h.

## ◆ eagain

int InputFile::eagain

Definition at line 428 of file fftools_ffmpeg.h.

## ◆ eof_reached

int InputFile::eof_reached

Definition at line 427 of file fftools_ffmpeg.h.

## ◆ fmt_ctx

AVFormatContext* InputFile::fmt_ctx

Definition at line 86 of file fftools_ffprobe.c.

## ◆ input_ts_offset

int64_t InputFile::input_ts_offset

Definition at line 434 of file fftools_ffmpeg.h.

## ◆ ist_index

int InputFile::ist_index

Definition at line 429 of file fftools_ffmpeg.h.

## ◆ last_ts

int64_t InputFile::last_ts

Definition at line 437 of file fftools_ffmpeg.h.

## ◆ loop

int InputFile::loop

Definition at line 430 of file fftools_ffmpeg.h.

## ◆ nb_streams

int InputFile::nb_streams

Definition at line 441 of file fftools_ffmpeg.h.

## ◆ nb_streams_warn

int InputFile::nb_streams_warn

Definition at line 443 of file fftools_ffmpeg.h.

## ◆ pkt

AVPacket* InputFile::pkt

Definition at line 448 of file fftools_ffmpeg.h.

## ◆ rate_emu

int InputFile::rate_emu

Definition at line 444 of file fftools_ffmpeg.h.

## ◆ readrate

float InputFile::readrate

Definition at line 445 of file fftools_ffmpeg.h.

## ◆ recording_time

int64_t InputFile::recording_time

Definition at line 440 of file fftools_ffmpeg.h.

## ◆ seek_timestamp

int InputFile::seek_timestamp

Definition at line 439 of file fftools_ffmpeg.h.

## ◆ start_time

int64_t InputFile::start_time

Definition at line 438 of file fftools_ffmpeg.h.

## ◆ streams

InputStream* InputFile::streams

Definition at line 88 of file fftools_ffprobe.c.

## ◆ time_base

AVRational InputFile::time_base

Definition at line 433 of file fftools_ffmpeg.h.

## ◆ ts_offset

int64_t InputFile::ts_offset

Definition at line 436 of file fftools_ffmpeg.h.

The documentation for this struct was generated from the following files:

- fftools_ffmpeg.h
- fftools_ffprobe.c